facebook twitter hatena line google mixi email

Javascript/nodejs/インストール/yum

提供: 初心者エンジニアの簡易メモ
移動: 案内検索

必須ライブラリインストール

yum clean all
yum install gcc-c++
yum install openssl-devel


ダウンロード&インストール(v9.2.0)

cd /usr/local/src
wget http://nodejs.org/dist/v9.2.0/node-v9.2.0.tar.gz
tar zxvf node-v9.2.0.tar.gz
cd node-v9.2.0
./configure
make
sudo make install
node -v

ダウンロード&インストール(v0.8.0)

cd /usr/local/src
wget http://nodejs.org/dist/v0.8.0/node-v0.8.0.tar.gz
tar zxvf node-v0.8.0.tar.gz
cd node-v0.8.0
./configure
make
sudo make install
node -v

"o['variables']['node_prefix'] = options.prefix if options.prefix else "エラー

v0.8.0からPythonが必要になってのでPythonをインストール

$ wget http://www.python.org/ftp/python/2.6.5/Python-2.6.5.tar.bz2
$ tar jxvf Python-2.6.5.tar.bz2
$ cd Python2.6.5
$ ./configure
$ make && make install
$ /usr/local/bin/python2.6 -V  (查看一下python的版本)
$ mv /usr/bin/python  /usr/bin/python2.4
$ ln -s /usr/local/bin/python2.6/python /usr/bin/python
$ vi /usr/bin/yum (将原来的/usr/bin/python 改为 /usr/bin/python2.4)
$ python -V  (注意V要大写,显示当前python版本应该显示为2.6.5)